Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BAD_PARAMHelper

    java.lang.Object
      |
      +--org.omg.CORBA.BAD_PARAMHelper

public class BAD_PARAMHelper
extends java.lang.Object

Helper class for : BAD_PARAM

Author:
  OpenORB Compiler

Constructor Summary
`BAD_PARAMHelper()`

Method Summary
`static BAD_PARAM` | `extract(Any a)` Extract BAD_PARAM from an any
`static java.lang.String` | `id()` Return the BAD_PARAM IDL ID
`static void` | `insert(Any a, BAD_PARAM t)` Insert BAD_PARAM into an any
`static BAD_PARAM` | `read(InputStream istream)` Read BAD_PARAM from a marshalled stream
`static TypeCode` | `type()` Return the BAD_PARAM TypeCode
`static void` | `write(OutputStream ostream, BAD_PARAM value)` Write BAD_PARAM into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BAD_PARAMHelper

    public BAD_PARAMHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BAD_PARAM t)

  Insert BAD_PARAM into an any
  Parameters:
    `a` - an any
    `t` - BAD_PARAM value

### extract

    public static BAD_PARAM extract(Any a)

  Extract BAD_PARAM from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BAD_PARAM value

### type

    public static TypeCode type()

  Return the BAD_PARAM TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BAD_PARAM IDL ID
  Returns:
    an ID

### read

    public static BAD_PARAM read(InputStream istream)

  Read BAD_PARAM from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BAD_PARAM value

### write

    public static void write(OutputStream ostream,
                             BAD_PARAM value)

  Write BAD_PARAM into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BAD_PARAM value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD